Protocol::Ext::DPMS(3)

NAME
X11::Protocol::Ext::DPMS - Perl module for the X11 Protocol DPMS Extension

SYNOPSIS
  use X11::Protocol;
  $x = X11::Protocol->new();
  $x->init_extension('DPMS');

DESCRIPTION
This module is used to control the DPMS features of compliant monitors.

SYMBOLIC CONSTANTS
This extension adds the constant type DPMSPowerLevels, with values as defined in the standard.

REQUESTS
This extension adds several requests, called as shown below:

  $x->DPMSGetVersion => ($major, $minor)

  $x->DPMSCapable => ($capable)

  $x->DPMSGetTimeouts => ($standby_timeout, $suspend_timeout, $off_timeout)

  $x->DPMSSetTimeouts($standby_timeout, $suspend_timeout, $off_timeout) => ()

  $x->DPMSEnable => ()

  $x->DPMSDisable => ()

  $x->DPMSForceLevel($power_level) => ()

  $x->DPMSInfo => ($power_level,$state)

AUTHOR
Jay Kominek <jay.kominek@colorado.edu>

SEE ALSO
perl(1), X11::Protocol, X Display Power Management Signaling (DPMS) Extension (X Consortium Standard)